#include "D_layout.h"

/*
 * Constructors and destructors
 */

void D_ctor(register D* const this, long d)
{
  this->d = d;                          /* user     */

  print_layout("D", "ctor", this, sizeof *this);
}

void D_dtor(register D* const this)
{
  this->d = 0;                          /* user     */

  print_layout("D", "dtor", this, sizeof *this);
}


void D_k(register const D* const this)
{
  print_mfunc("A", "f", this, "a = %ld", this->d);
}

/* -- -- -- -- -- Compiler extra information -- -- -- -- -- */

/*
 * Runtime type information (RTTI)
 */

const type_info D_info[] = {{
  "D", 0, 0
}};
